local texture = "Interface\\AddOns\\IHasShield\\Aura21.tga"
local width,height = 64,64
local blendmode = "ADD"
local r,g,b = 1,1,1
local alpha = 1

-- Don't touch below

local f = CreateFrame("Frame", "IHasShield", UIParent)
f:Hide()
f:SetFrameStrata("BACKGROUND")
f:SetSize(width, height)
f:SetPoint("CENTER", 0, 0)
f:SetAlpha(alpha)
local t = f:CreateTexture(nil, "BACKGROUND")
t:SetAllPoints()
t:SetTexture(texture)
t:SetBlendMode(blendmode)
t:SetVertexColor(r,g,b)
f:SetMovable(true)
f:EnableMouse(false)
f:SetScript("OnMouseDown", f.StartMoving)
f:SetScript("OnMouseUp", f.StopMovingOrSizing)
SLASH_IHASSHIELD1 = '/ihasshield'
SlashCmdList['IHASSHIELD'] = function()
	if f:IsMouseEnabled() then
		f:EnableMouse(false)
		print("Locked")
	else
		f:EnableMouse(true)
		print("Unlocked")
	end
end
f.PLAYER_ENTERING_WORLD = function(self)
	if IsEquippedItemType("Shields") then
		self:Show()
	else
		self:Hide()
	end
end
f.PLAYER_EQUIPMENT_CHANGED = function(self, slot, exists)
	if slot==17 then
		if exists and IsEquippedItemType("Shields") then
			self:Show()
		else
			self:Hide()
		end
	end
end
f:SetScript("OnEvent", function(s,e,...) s[e](s,...) end)
f:RegisterEvent("PLAYER_EQUIPMENT_CHANGED")
f:RegisterEvent("PLAYER_ENTERING_WORLD")